[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

kde-4.0(rc1) hitting rawhide Dec 1-7



(I sent this to fedora-devel-announce earlier this morning, but didn't see any copy land in fedora-devel, so here ya go).

Now that the KDE 4.0 RC1 is available (and development churn has
slowed), the KDE SIG will be working towards incorporating as much of
kde-4.0 (rc1) into rawhide the week of Dec 1-7.  The gory outline of
making all of this work are detailed on
http://fedoraproject.org/wiki/Releases/FeatureKDE4

The challenge will be replacing the current kde3-based
desktop with a kde4-based one, while at the same time still providing a
kde3 development platform (ie, so one can still build/run kde3
applications).

This announcement serves two primary purposes:
1.  Serve notice to expect kde-related borkage the week of Dec 1-7.

2.  Inform kde(3)-based package maintainers that spec-files that
currently include constructs like:
BuildRequires: kdelibs-devel
BuildRequires: kdebase-devel
will need to be updated to
BuildRequires: kdelibs3-devel
BuildRequires: kdebase3-devel
instead. These kde*3 virtual Provides are in place now (in all F7+ branches, and without Epoch's
too, btw), so there's no need to wait to make this change.

Likewise, kde4-based applications can/should include constructs like
BuildRequires: kdelibs4-devel
(avoiding references to just kdelibs-devel which can be ambiguous).

-- Rex


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]